Установка pecl_http

В одном проекте на Debian 7 (Weezy) с php 5.5.30 понадобилось установить http-расширение. В принципе, не обязательно, довольно и curl, но с http гораздо удобнее.

Сперва, разумеется, проверил и подтянул все зависимости.

Pecl установил, но pecl install pecl_http никак не поддавался, хотел php7. Изучение Changelog на предмет совместимости показало, что ставить надо v.1.7.6.

pecl install pecl_http-1.7.6 потребовал raphf и propro, с которыми та же история, пришлось искать совместимые версии — соответственно 1.1.2 и 1.0.2.

Все расширения руками прописал в соответствующие *.ini в /etc/php5/mods-available, после чего — php5enmod.

Всё заработало, чему свидетель phpinfo();

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *